import { jsx } from "react/jsx-runtime";
import { Blueprint as Blueprint$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Blueprint = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Blueprint", ...props, children: /* @__PURE__ */ jsx(Blueprint$1, { weight: variant }) });
  }
);
Blueprint.displayName = "Blueprint";
Object.assign(Blueprint, { isGdsIcon: true });
export {
  Blueprint
};
